Name:           python-trytond
Version:        7.2.11
Release:        %autorelease
Summary:        Tryton server

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-3.0-or-later
URL:            http://www.tryton.org/
Source:         %{pypi_source trytond}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'trytond' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-trytond
Summary:        %{summary}

%description -n python3-trytond %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-trytond argon2,barcode,bcrypt,completion,coroutine,email-validation,graphviz,html2text,image,levenshtein,postgresql,qrcode,test,weasyprint


%prep
%autosetup -p1 -n trytond-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x argon2,barcode,bcrypt,completion,coroutine,email-validation,graphviz,html2text,image,levenshtein,postgresql,qrcode,test,weasyprint


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-trytond -f %{pyproject_files}


%changelog
%autochangelog